###  
package gfxbufferwriter;

sub new 
{
    my $class = shift;
    my $self = { framebufferHex => shift;
               };
                
    bless $self, $class;
    return $self;
}

sub write_byte
{

	my ($self, $byte) = @_;

	if (not defined($self->{framebufferHex})) {
		print "*** gfxbufferwriter : printing on wrong hex (framebuffer)";
		return -1;
	} else {
		### FIXME endianess
		framebufferHex >>= $byte;

	}

}

1;
